sasl_getconfpath_t(12 February 2006)

NAME
sasl_getconfpath_t - The SASL callback to indicate location of the config files

SYNOPSIS
#include <sasl.h>

int sasl_getconfpath_t(void *context,
		        char ** path);

DESCRIPTION
sasl_getconfpath_t is used if the application wishes to use a different location for the SASL configuration files. If this callback is not used SASL will either use the location in the environment variable SASL_CONF_PATH (provided we are not SUID or SGID) or /etc/sasl2 by default.

RETURN VALUE
SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

CONFORMING TO
RFC 2222

SEE ALSO
sasl(3), sasl_callbacks(3), sasl_errors(3)